#ifndef READWRITE_H
#define READWRITE_H

#include <string>
#include <vector>

#include "error.h"

void read_data( const std::string &file_name, std::vector<double> &x, std::vector<double> &y ) throw ( TError_File_open );
void write_data( const std::string &file_name, std::vector<double> &x, std::vector<double> &y ) throw ( TError_File_open );
void read_data_binary( const std::string &file_name, std::vector<double> &x, std::vector<double> &y ) throw ( TError_File_open );
void write_data_binary( const std::string &file_name, std::vector<double> &x, std::vector<double> &y ) throw ( TError_File_open );
void write_data_on_screen( std::vector<double> &x, std::vector<double> &y );


#endif //READWRITE_H
